#ifndef __SMSPLCSERV_H__
#define __SMSPLCSERV_H__

#define kMaxLength 30          /* Max string length */
#define kNumChannels 8         /* Number of monitor channels */
#define kNumMonitors 6         /* Number of monitors */

/****************************************************************
 *** Global Variable Declarations
 ***************************************************************/
//char ini_filename[kMaxLength]; /* Name of initalization file */
//char serial_port[kMaxLength];  /* Serial port of monitor */
//char monitor_id[kMaxLength];   /* Name of monitor in ini file */
char* ini_filename; /* Name of initalization file */
char* serial_port;  /* Serial port of monitor */
char* monitor_id;   /* Name of monitor in ini file */
char poll_all_cmd[kMaxLength]; /* Command to query all channels */
int plc_addr[kNumChannels];    /* Array to hold PLC memory locations */
int fd_serial;      /* File descriptor of serial port */
FILE* out_file;     /* File handle for output file */

/*struct TempMonitor_t monitor;*/

/****************************************************************
 *** const Declarations
 ***************************************************************/
const char kCommentMarker = ';';
const char kSectionOpen= '[';
const char kSectionClose= ']';

#endif
