#ifndef __SMSSERVCOMMON_H__
#define __SMSSERVCOMMON_H__

#include <stdio.h>
#include <sys/time.h>

#define kMaxLength 30          /* Max string length */
#define kNumChannels 8         /* Number of monitor channels */
#define kNumMonitors 6         /* Number of monitors */
#define kMaxDevices 10          /* Number of PLC interfaces to support
				  */

/****************************************************************
 *** const Declarations
 ***************************************************************/
/*
const char kCommentMarker = ';';
const char kSectionOpen= '[';
const char kSectionClose= ']';
*/
#define kCommentMarker ';'
#define kSectionOpen '['
#define kSectionClose ']'
#define kHEIPort 0x7070
#define kHEIInterface "192.168.2.10"

/****************************************************************
 *** Function Declarations
 ***************************************************************/
int getline(char *line, int max, FILE* file);
char* key_value(char* ini_line, const char* key);
int find_section(FILE* file, const char* section);
int timeval_subtract(struct timeval* result, struct timeval x, 
		     struct timeval y);

#endif
