#!/bin/sh

##############################################################
#
# TempMon.sh
# Author:  D. T. Spayde
# Time-stamp: <2003-08-11 14:20:11 spayde>
# Purpose:  This script spawns the necessary programs to get the PLC
#           temperature server running.
#
##############################################################

TEMPMONDIR=/root/smsTempServ

## Start up temperature monitor servers
${TEMPMONDIR}/smsTempServ -d /dev/tts/7 -m Monitor1 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
${TEMPMONDIR}/smsTempServ -d /dev/tts/8 -m Monitor2 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
${TEMPMONDIR}/smsTempServ -d /dev/tts/9 -m Monitor3 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
${TEMPMONDIR}/smsTempServ -d /dev/tts/10 -m Monitor4 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
${TEMPMONDIR}/smsTempServ -d /dev/tts/11 -m Monitor5 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
${TEMPMONDIR}/smsTempServ -d /dev/tts/12 -m Monitor6 -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &

## Start the PLC server
${TEMPMONDIR}/smsPLCServ -i ${TEMPMONDIR}/TempService.ini -p ${TEMPMONDIR}/output.pipe &
